Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 621516 - app-emacs/slime-2.15 stabilization
Summary: app-emacs/slime-2.15 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GNU Emacs project
URL:
Whiteboard:
Keywords: ALLARCHES, STABLEREQ
Depends on:
Blocks: EAPI3Removal 646742
  Show dependency tree
 
Reported: 2017-06-11 14:36 UTC by Andreas K. Hüttel
Modified: 2018-07-28 19:23 UTC (History)
2 users (show)

See Also:
Package list:
app-emacs/slime-2.15
Runtime testing required: Yes
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2017-06-11 14:36:51 UTC
Could we please stabilize any newer version of app-emacs/slime ? Current stable is EAPI=3, which needs to go away.
Comment 1 Ulrich Müller gentoo-dev 2017-06-11 17:59:38 UTC
Need to bump to 2.19 first.
Comment 2 Andreas K. Hüttel gentoo-dev 2018-01-21 16:32:40 UTC
ping
Comment 3 Andreas K. Hüttel gentoo-dev 2018-02-14 22:45:32 UTC
ping
Comment 4 Ulrich Müller gentoo-dev 2018-02-15 07:39:41 UTC
(In reply to Ulrich Müller from comment #1)
> Need to bump to 2.19 first.

That would be version 2.20 by now. I haven't found the time, and the Common Lisp project (who really used to maintain this) is understaffed.

Let's go for stabilisation of 2.15 then.

Test plan:
https://wiki.gentoo.org/wiki/Project:Emacs/Test_plans#app-emacs.2Fslime
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-02-18 21:58:01 UTC
x86 stable
Comment 6 Sergei Trofimovich gentoo-dev 2018-03-03 13:13:58 UTC
ppc stable
Comment 7 Larry the Git Cow gentoo-dev 2018-03-03 18:57:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70626e17770f93b21948740e3f36c30261ac8aa1

commit 70626e17770f93b21948740e3f36c30261ac8aa1
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-03-03 18:57:45 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-03-03 18:57:45 +0000

    app-emacs/slime: Remove old
    
    Closes: https://bugs.gentoo.org/621516
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-emacs/slime/Manifest                   |   4 -
 app-emacs/slime/slime-2.0_p20101103.ebuild |  82 -------------------
 app-emacs/slime/slime-2.11.ebuild          | 123 -----------------------------
 app-emacs/slime/slime-2.12.ebuild          | 123 -----------------------------
 4 files changed, 332 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2814a7c12ed283e57ed1fddb2d378aa6acb16f07

commit 2814a7c12ed283e57ed1fddb2d378aa6acb16f07
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-03-03 18:56:23 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-03-03 18:56:23 +0000

    app-emacs/slime: amd64 stable (ALLARCHES), bug 621516
    
    Bug: https://bugs.gentoo.org/621516
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-emacs/slime/slime-2.15.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}